<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dtFormatter="xalan://com.pilotfish.eip.gui.mapper.util.DateTimeFormatter" exclude-result-prefixes="dtFormatter" version="1.0">
  <xsl:template match="ORU_R01_Unsolicited_transmission_of_an_observation_message">
    <XCSExcelBook sheetCount="1">
      <XCSExcelSheet name="Lab Results" rowCount="2">
        <Columns count="11">
          <Column index="1">Patient_Name</Column>
          <Column index="2">Patient_DOB</Column>
          <Column index="3">Address1</Column>
          <Column index="4">Address2</Column>
          <Column index="5">City</Column>
          <Column index="6">State</Column>
          <Column index="7">ZIP</Column>
          <Column index="8">Physician</Column>
          <Column index="9">Date_Of_Test</Column>
          <Column index="10">Test_Performed</Column>
          <Column index="11">Test_Result</Column>
        </Columns>
        <xsl:for-each select="ORU_R01.PATIENT_RESULT">
          <XCSExcelRow index="1">
            <xsl:value-of select="ORU_R01.PATIENT/PID_Patient_Identification/PID.5_Patient_Name/XPN.2_given_name" />
            <Patient_Name index="1" />
            <Patient_DOB index="2">
              <xsl:value-of select="dtFormatter:format(ORU_R01.PATIENT/PID_Patient_Identification/PID.7_Date_Time_of_Birth,'yyyymmdd','yyyy-mm-dd')" />
            </Patient_DOB>
            <Address1 index="3">Insert Address1</Address1>
            <Address2 index="4">Insert Address2</Address2>
            <City index="5">Insert City</City>
            <State index="6">Insert State</State>
            <ZIP index="7">Insert ZIP</ZIP>
            <Physician index="8">Insert Physician</Physician>
            <Date_Of_Test index="9">Insert Test Date</Date_Of_Test>
            <Test_Performed index="10">Insert Test Name</Test_Performed>
            <Test_Result index="11">Insert Test Result</Test_Result>
          </XCSExcelRow>
        </xsl:for-each>
      </XCSExcelSheet>
    </XCSExcelBook>
  </xsl:template>
  <xsl:template match="PID.7_Date_Time_of_Birth" />
</xsl:stylesheet>

